Bug 167356 - [GTK] Web Inspector: Add new GTK+ icons for garbage collect and clean buttons in Console
Summary: [GTK] Web Inspector: Add new GTK+ icons for garbage collect and clean buttons...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-01-23 18:57 PST by Joseph Pecoraro
Modified: 2017-05-30 20:30 PDT (History)
9 users (show)

See Also:


Attachments
Patch (8.18 KB, patch)
2017-05-24 01:25 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
screenshot of before and after this fix (6.45 KB, image/png)
2017-05-24 01:29 PDT, Fujii Hironori
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2017-01-23 18:57:58 PST
Add new GTK+ icons for garbage collect and clean buttons in Console

Images:

    UserInterface/Images/NavigationItemClear.svg
    UserInterface/Images/NavigationItemGarbageCollect.svg

Notes:
- These icons are used in the Console's Navigator bar.
- Current "Clear" was copied from "Trash" but should be designed for 16x16. (It currently is, but is used at 15x15 because it looks better and seems intended that way).
- See bug 167345
Comment 1 Fujii Hironori 2017-05-24 01:25:14 PDT
Created attachment 311109 [details]
Patch
Comment 2 Fujii Hironori 2017-05-24 01:29:19 PDT
Created attachment 311110 [details]
screenshot of before and after this fix
Comment 3 Michael Catanzaro 2017-05-24 12:59:31 PDT
Comment on attachment 311109 [details]
Patch

Weird, our old icons were 15x15? I've never heard of such an icon size before....
Comment 4 WebKit Commit Bot 2017-05-24 13:28:20 PDT
Comment on attachment 311109 [details]
Patch

Clearing flags on attachment: 311109

Committed r217386: <http://trac.webkit.org/changeset/217386>
Comment 5 WebKit Commit Bot 2017-05-24 13:28:22 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Fujii Hironori 2017-05-24 18:46:54 PDT
Thank you for the review.

(In reply to Michael Catanzaro from comment #3)
> Weird, our old icons were 15x15? I've never heard of such an icon size
> before....

Right. it has been 16x16.
NavigationItemClear.svg has three 1-unit-width vertical lines in the image.
But, this lines were not aligned with dot grid. It were rendered blued 2-px-width lines if the image is rendered 16px dimension. This is why Joseph resized it to 15px dimension.
Then, I shifted 0.5 unit left in this change.
Comment 7 Radar WebKit Bug Importer 2017-05-30 20:30:38 PDT
<rdar://problem/32479873>